import networkx as nx


def filtrar_primeras_posiciones(df, ultima=3):
    assert 'posicion' in df.columns, 'El marco de datos debe tener una columna llamada "posicion"'
    rango = range(1, ultima + 1)
    filtro = df['posicion'].isin(rango)
    df_filtrado = df[filtro].reset_index(drop=True)
    return df_filtrado
